Publisher does not support the Fluid field type. Please do not contact asking when support will be available.

If you purchased an add-on from expressionengine.com, be sure to visit boldminded.com/claim to add the license to your account here on boldminded.com.

Ticket: Declaration of Publisher_channel_categories::category_subtree

Status Resolved
Add-on / Version Publisher Lite 3.2.2
Severity
EE Version 5.4.0

Harold Kuiper

Sep 26, 2022

Hello Brian,

We’ve copied our production/staging env so we can do maintenance and/or updates but we want to make sure we’re not getting any errors we’re not having in staging.
We noticed that we did get a new error, which is weird as the staging en production env use the same versions.

Declaration of Publisher_channel_categories::category_subtree($cdata, $active_cat) should be compatible with Channel::category_subtree($cdata = Array, $active_cat = NULL)

user/addons/publisher/legacy/libraries/Publisher_channel_categories.php, line 0

Severity: E_WARNING

Kind regards, thanks in advance!
Wiebe

#1

BoldMinded (Brian)

Sep 26, 2022

Now that EE 7 is out, I don’t support v5 anymore. Its mentioned at the bottom of https://boldminded.com/support-terms-conditions - I only support the last 2 major releases.

#2

BoldMinded (Brian)

Sep 26, 2022

You’re also _several_ releases behind on Publisher. You’ll have to update to the latest version of Publisher, and at least EE 6.3.5 before I can look into this.

#3

BoldMinded (Brian)

Sep 26, 2022

It is probably very likely that this issue has been fixed in a newer version of Publisher. You should check the change log. https://boldminded.com/add-ons/publisher/change-log

I’m going to close this ticket out. Once you’re up-to-date and if you still experience the issue feel free to re-open it and I’ll take a look.

Login to reply